org.apache.ignite.cache.eviction.sorted

## Interface SortedEvictionPolicyMBean

All Known Implementing Classes:
  SortedEvictionPolicy

    @MXBeanDescription(value="MBean for sorted cache eviction policy.")
    public interface SortedEvictionPolicyMBean

MBean for sorted eviction policy.

### Method Summary

Methods
`int` `getBatchSize()` Gets batch size.
`int` `getCurrentSize()` Gets current size.
`int` `getMaxSize()` Gets maximum allowed cache size.
`void` `setBatchSize(int batchSize)` Sets batch size.
`void` `setMaxSize(int max)` Sets maximum allowed cache size.

### Method Detail

#### getMaxSize

    @MXBeanDescription(value="Maximum allowed cache size.")
    int getMaxSize()

Gets maximum allowed cache size.

Returns:
  Maximum allowed cache size.

#### setMaxSize

    @MXBeanDescription(value="Set maximum allowed cache size.")
    void setMaxSize(int max)

Sets maximum allowed cache size.

Parameters:
  `max` - Maximum allowed cache size.

#### getBatchSize

    @MXBeanDescription(value="Batch size.")
    int getBatchSize()

Gets batch size.

Returns:
  batch size.

#### setBatchSize

    @MXBeanDescription(value="Set batch size.")
    void setBatchSize(int batchSize)

Sets batch size.

Parameters:
  `batchSize` - Batch size.

#### getCurrentSize

    @MXBeanDescription(value="Current sorted key set size.")
    int getCurrentSize()

Gets current size.

Returns:
  Current size.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015